#ifndef _MACRO_H_
#define _MACRO_H_

#include "statements.h"

#define MACRO_SIZE     64


struct macrolist {
  struct macrolist *next;
  char *label;
  StateList **s;
  int invocations;	// # of invocations, for making labels unique
  unsigned int flags;
};

/* Hash of 128 macrolists. */
extern struct macrolist *mactabs[MACRO_SIZE];


extern void macInit(void);
extern void macDestroy(void);
extern StateList** macAdd(const char *buf, unsigned int f);
extern StateList* macLookup(const char *lbl);
extern int macInvocations(const char *lbl, const int increment);
extern void macReset(void);
extern void macDump(FILE *lfp);



#endif
