#ifndef _MEMMAP_H_
#define _MEMMAP_H_

struct memmapinfo_t {
	short *pm;	// Program memory array [0..psize]
	short *cm;	// Config memory array [0..csize]
	short *em;	// EEPROM memory array [0..esize]
	unsigned int *pmap;	// Map of words with valid data in *pm
	unsigned int *cmap;	// Map of words with valid data in *cm
	unsigned int *emap;	// Map of words with valid data in *em
	int psize;		// Program memory size
	int csize;		// Config memory size
	int esize;		// EEPROM memory size
};
typedef struct memmapinfo_t memmapinfo;
typedef memmapinfo * mmhandle;


extern mmhandle mmInit(const int pmsize, const int cmsize, const int eesize);
extern void mmFree(mmhandle h);
extern int mmWrite(mmhandle h, const unsigned int pc, const unsigned short w);
extern unsigned short mmRead(mmhandle h, const unsigned int pc);
extern int mmHasData(const mmhandle h, const unsigned int pc);
extern int mmBlockHasData(const mmhandle h, const unsigned int pc, const unsigned int bsize);

extern mmhandle mmLoadHexfile(mmhandle h, const char * hfn);
extern mmhandle mmWriteHexfile(mmhandle h, const char * hfn);


#endif

