; Equates for PIC16F1825
;

; Configuration word 1
CONFIG_FCMEN_ON		EQU	0xffff
CONFIG_FCMEN_OFF	EQU	0xdfff
CONFIG_IESO_ON		EQU	0xffff
CONFIG_IESO_OFF		EQU	0xefff

CONFIG_CLKOUTEN_ON	EQU	0xf7ff
CONFIG_CLKOUTEN_OFF	EQU	0xffff
CONFIG_BOREN_ON		EQU	0xffff
CONFIG_BOREN_NOSLEEP	EQU	0xfdff
CONFIG_BOREN_SW		EQU	0xfbff
CONFIG_BOREN_OFF	EQU	0xf9ff
CONFIG_CPD_ON		EQU	0xfeff
CONFIG_CPD_OFF		EQU	0xffff

CONFIG_CP_ON		EQU	0xff7f
CONFIG_CP_OFF		EQU	0xffff
CONFIG_MCLRE_ON		EQU	0xffff
CONFIG_MCLRE_OFF	EQU	0xffbf
CONFIG_PWRTE_ON		EQU	0xffdf
CONFIG_PWRTE_OFF	EQU	0xffff
CONFIG_WDTE_ON		EQU	0xffff
CONFIG_WDTE_NOSLEEP	EQU	0xfff7
CONFIG_WDTE_SW		EQU	0xffef
CONFIG_WDTE_OFF		EQU	0xffe7

CONFIG_FOSC_ECH		EQU	0xffff
CONFIG_FOSC_ECM		EQU	0xfffe
CONFIG_FOSC_ECL		EQU	0xfffd
CONFIG_FOSC_INTOSC	EQU	0xfffc
CONFIG_FOSC_EXTRC	EQU	0xfffb
CONFIG_FOSC_HS		EQU	0xfffa
CONFIG_FOSC_XT		EQU	0xfff9
CONFIG_FOSC_LP		EQU	0xfff8

; Core registers
INDF0	EQU	0x00
INDF1	EQU	0x01
PCL	EQU	0x02
STATUS	EQU	0x03
C	EQU	0
DC	EQU	1
Z	EQU	2
PD	EQU	3
TO	EQU	4
FSR0L	EQU	0x04
FSR0H	EQU	0x05
FSR1L	EQU	0x06
FSR1H	EQU	0x07
BSR	EQU	0x08
WREG	EQU	0x09
PCLATH	EQU	0x0a
INTCON	EQU	0x0b
IOCIF	EQU	0
INTF	EQU	1
TMR0IF	EQU	2
IOCIE	EQU	3
INTE	EQU	4
TMR0IE	EQU	5
PEIE	EQU	6
GIE	EQU	7

; Bank 0 registers
PORTA	EQU	0x0c
RA0	EQU	0
RA1	EQU	1
RA2	EQU	2
RA3	EQU	3
RA4	EQU	4
RA5	EQU	5

PORTC   EQU     0x0e
RC0	EQU	0
RC1	EQU	1
RC2	EQU	2
RC3	EQU	3
RC4	EQU	4
RC5	EQU	5

PIR1	EQU	0x11
TMR1IF	EQU	0
TMR2IF	EQU	1
CCP1IF	EQU	2
SSP1IF	EQU	3
TXIF	EQU	4
RCIF	EQU	5
ADIF	EQU	6
TMR1GIF	EQU	7

PIR2	EQU	0x12
CCP2IF	EQU	0
BCL1IF	EQU	3
EEIF	EQU	4
C1IF	EQU	5
C2IF	EQU	6
OSFIF	EQU	7

PIR3	EQU	0x13
TMR4IF	EQU	1
TMR6IF	EQU	3
CCP3IF	EQU	4
CCP4IF	EQU	5

TMR0	EQU	0x15
TMR1L	EQU	0x16
TMR1H	EQU	0x17
T1CON	EQU	0x18
TMR1ON	EQU	0
T1SYNC	EQU	2
T1OSCEN	EQU	3
TMR1CS0	EQU	6
TMR1CS1	EQU	7

T1GCON	EQU	0x19
T1GVAL	EQU	2
T1GGO	EQU	3
T1GSPM	EQU	4
T1GTM	EQU	5
T1GPOL	EQU	6
TMR1GE	EQU	7

TMR2	EQU	0x1a
PR2	EQU	0x1b
T2CON	EQU	0x1c
TMR2ON	EQU	2

CPSCON0	EQU	0x1e
T0XCS	EQU	0
CPSOUT	EQU	1
CPSRM	EQU	6
CPSON	EQU	7

CPSCON1	EQU	0x1f

; Bank 1 registers
TRISA	EQU	0x8c
TRISA0	EQU	0
TRISA1	EQU	1
TRISA2	EQU	2
TRISA3	EQU	3
TRISA4	EQU	4
TRISA5	EQU	5

TRISC	EQU	0x8e
TRISC0	EQU	0
TRISC1	EQU	1
TRISC2	EQU	2
TRISC3	EQU	3
TRISC4	EQU	4
TRISC5	EQU	5

PIE1	EQU	0x91
TMR1IE	EQU	0
TMR2IE	EQU	1
CCP1IE	EQU	2
SSP1IE	EQU	3
TXIE	EQU	4
RCIE	EQU	5
ADIE	EQU	6
TMR1GIE	EQU	7

PIE2	EQU	0x92
CCP2IE	EQU	0
BCL1IE	EQU	3
EEIE	EQU	4
C1IE	EQU	5
C2IE	EQU	6
OSFIE	EQU	7

PIE3	EQU	0x93
TMR4IE	EQU	1
TMR6IE	EQU	3
CCP3IE	EQU	4
CCP4IE	EQU	5

OPTION_REG	EQU	0x95
PSA	EQU	3
TMR0SE	EQU	4
TMR0CS	EQU	5
INTEDG	EQU	6
WPUEN	EQU	7

PCON	EQU	0x96
BOR	EQU	0
POR	EQU	1
RI	EQU	2
RMCLR	EQU	3
STKUNF	EQU	6
STKOVF	EQU	7

WDTCON	EQU	0x97
SWDTEN	EQU	0

OSCTUNE	EQU	0x98
OSCCON	EQU	0x99
SPLLEN	EQU	7

OSCSTAT	EQU	0x9a
HFIOFS	EQU	0
LFIOFR	EQU	1
MFIOFR	EQU	2
HFIOFL	EQU	3
HFIOFR	EQU	4
OSTS	EQU	5
PLLR	EQU	6
T1OSCR	EQU	7

ADRESL	EQU	0x9b
ADRESH	EQU	0x9c
ADCON0	EQU	0x9d
ADON	EQU	0
GO	EQU	1

ADCON1	EQU	0x9e
ADNREF	EQU	2
ADFM	EQU	7

; Bank 2 registers
LATA	EQU	0x10c
LATA0	EQU	0
LATA1	EQU	1
LATA2	EQU	2
LATA4	EQU	4
LATA5	EQU	5

LATC	EQU	0x10e
LATC0	EQU	0
LATC1	EQU	1
LATC2	EQU	2
LATC3	EQU	3
LATC4	EQU	4
LATC5	EQU	5

CM1CON0	EQU	0x111
C1SYNC	EQU	0
C1HYS	EQU	1
C1SP	EQU	2
C1POL	EQU	4
C1OE	EQU	5
C1OUT	EQU	6
C1ON	EQU	7

CM1CON1	EQU	0x112
C1NCH0	EQU	0
C1NCH1	EQU	1
C1INTN	EQU	6
C1INTP	EQU	7

CM2CON0	EQU	0x113
C2SYNC	EQU	0
C2HYS	EQU	1
C2SP	EQU	2
C2POL	EQU	4
C2OE	EQU	5
C2OUT	EQU	6
C2ON	EQU	7

CM2CON1	EQU	0x114
C2INTN	EQU	6
C2INTP	EQU	7

CMOUT	EQU	0x115
MC1OUT	EQU	0
MC2OUT	EQU	1

BORCON	EQU	0x116
BORRDY	EQU	0
SBOREN	EQU	7

FVRCON	EQU	0x117
TSRNG	EQU	4
TSEN	EQU	5
FVRRDY	EQU	6
FVREN	EQU	7

DACCON0	EQU	0x118
DACNSS	EQU	0
DACOE	EQU	5
DACLPS	EQU	6
DACEN	EQU	7

DACCON1	EQU	0x119
SRCON0	EQU	0x11a
SRPR	EQU	0
SRPS	EQU	1
SRNQEN	EQU	2
SRQEN	EQU	3
SRLEN	EQU	7

SRCON1	EQU	0x11b
SRRC1E	EQU	0
SRRCKE	EQU	2
SRRPE	EQU	3
SRSC1E	EQU	4
SRSCKE	EQU	6
SRSPE	EQU	7

APFCON0	EQU	0x11d
TXCKSEL	EQU	2
T1GSEL	EQU	3
SS1SEL	EQU	5
SDO1SEL	EQU	6
RXDTSEL	EQU	7

APFCON1	EQU	0x11e
CCP2SEL	EQU	0
P2BSEL	EQU	1
P1CSEL	EQU	2
P1DSEL	EQU	3

; Bank 3 registers
ANSELA	EQU	0x18c
ANSA0	EQU	0
ANSA1	EQU	1
ANSA2	EQU	2
ANSA4	EQU	4

ANSELC	EQU	0x18e
ANSC0	EQU	0
ANSC1	EQU	1
ANSC2	EQU	2
ANSC3	EQU	3

EEADRL	EQU	0x191
EEADRH	EQU	0x192
EEDATL	EQU	0x193
EEDATH	EQU	0x194
EECON1	EQU	0x195
RD	EQU	0
WR	EQU	1
WREN	EQU	2
WRERR	EQU	3
FREE	EQU	4
LWLO	EQU	5
CFGS	EQU	6
EEPGD	EQU	7

EECON2	EQU	0x196
RCREG	EQU	0x199
TXREG	EQU	0x19a
SPBRGL	EQU	0x19b
SPBRGH	EQU	0x19c
RCSTA	EQU	0x19d
RX9D	EQU	0
OERR	EQU	1
FERR	EQU	2
ADDEN	EQU	3
CREN	EQU	4
SREN	EQU	5
RX9	EQU	6
SPEN	EQU	7

TXSTA	EQU	0x19e
TX9D	EQU	0
TRMT	EQU	1
BRGH	EQU	2
SENDB	EQU	3
SYNC	EQU	4
TXEN	EQU	5
TX9	EQU	6
CSRC	EQU	7

BAUDCON	EQU	0x19f
ABDEN	EQU	0
WUE	EQU	1
BRG16	EQU	3
SCKP	EQU	4
RCIDL	EQU	6
ABDOVF	EQU	7

; Bank 4 registers
WPUA	EQU	0x20c
WPUA0	EQU	0
WPUA1	EQU	1
WPUA2	EQU	2
WPUA3	EQU	3
WPUA4	EQU	4
WPUA5	EQU	5

WPUC	EQU	0x20e
WPUC0	EQU	0
WPUC1	EQU	1
WPUC2	EQU	2
WPUC3	EQU	3
WPUC4	EQU	4
WPUC5	EQU	5

SSP1BUF	EQU	0x211
SSP1ADD	EQU	0x212
SSP1MSK	EQU	0x213
SSP1STAT	EQU	0x214
SSP1BF	EQU	0
BF	EQU	0
SSP1UA	EQU	1
SSP1R	EQU	2
SSP1S	EQU	3
SSP1P	EQU	4
SSP1D	EQU	5
SSP1CKE	EQU	6
SSP1SMP	EQU	7

SSP1CON1	EQU	0x215
SSP1SSPM	EQU	0x0f
SSP1CKP		EQU	4
SSP1EN		EQU	5
SSP1OV		EQU	6
SSP1WCOL	EQU	7

SSP1CON2	EQU	0x216
SSP1SEN		EQU	0
SSP1RSEN	EQU	1
SSP1PEN		EQU	2
SSP1RCEN	EQU	3
SSP1ACKEN	EQU	4
SSP1ACKDT	EQU	5
SSP1ACKSTAT	EQU	6
SSP1GCEN	EQU	7

SSP1CON3	EQU	0x217
SSP1DHEN	EQU	0
SSP1AHEN	EQU	1
SSP1SBCDE	EQU	2
SSP1SDAHT	EQU	3
SSP1BOEN	EQU	4
SSP1SCIE	EQU	5
SSP1PCIE	EQU	6
SSP1ACKTIM	EQU	7

; Bank 5 registers
CCPR1L	EQU	0x291
CCPR1H	EQU	0x292
CCP1CON	EQU	0x293
CCP1M	EQU	0x0f
DC1B	EQU	0x30
P1M	EQU	0xc0

PWM1CON	EQU	0x294
P1DC	EQU	0x7f
P1RSEN	EQU	7

CCP1AS	EQU	0x295
PSS1BD	EQU	0x03
PSS1AC	EQU	0x0c
CCP1AS	EQU	0x70
CCP1ASE	EQU	7

PSTR1CON	EQU	0x296
STR1A		EQU	0
STR1B		EQU	1
STR1C		EQU	2
STR1D		EQU	3
STR1SYNC	EQU	4

CCPR2L	EQU	0x298
CCPR2H	EQU	0x299
CCP2CON	EQU	0x293
CCP2M	EQU	0x0f
DC2B	EQU	0x30
P2M	EQU	0xc0

PWM2CON	EQU	0x294
P2DC	EQU	0x7f
P2RSEN	EQU	7

CCP2AS	EQU	0x295
PSS2BD	EQU	0x03
PSS2AC	EQU	0x0c
CCP2AS	EQU	0x70
CCP2ASE	EQU	7

PSTR2CON	EQU	0x296
STR2A		EQU	0
STR2B		EQU	1
STR2C		EQU	2
STR2D		EQU	3
STR2SYNC	EQU	4

CCPTMRS		EQU	0x29e
C1TSEL		EQU	0x03
C2TSEL		EQU	0x0c
C3TSEL		EQU	0x30
C4TSEL		EQU	0xc0



